aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2010-02-02 14:39:44 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2010-02-02 14:39:44 +0300
commit87acb4647cd81a122fd7a5b9e2bd4950f057775e (patch)
tree76fdca98580868121bdafd0a400a2889b2f0ec25 /media-gfx
parentapbs plugin support now depends on sci-chemistry/pymol-apbs-plugin (diff)
downloadsci-87acb4647cd81a122fd7a5b9e2bd4950f057775e.tar.gz
sci-87acb4647cd81a122fd7a5b9e2bd4950f057775e.tar.bz2
sci-87acb4647cd81a122fd7a5b9e2bd4950f057775e.zip
[media-gfx/tachyon] Now tachyon compiles with gentoo cflags
(Portage version: 2.2_rc62/git/Linux x86_64) (Unsigned Manifest commit)
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/tachyon/ChangeLog3
-rw-r--r--media-gfx/tachyon/Manifest14
-rw-r--r--media-gfx/tachyon/tachyon-0.98.7.ebuild33
3 files changed, 15 insertions, 35 deletions
diff --git a/media-gfx/tachyon/ChangeLog b/media-gfx/tachyon/ChangeLog
index 19fc1f6dd..6ab3bba48 100644
--- a/media-gfx/tachyon/ChangeLog
+++ b/media-gfx/tachyon/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 02 Feb 2010; Alexey Shvetsov <alexxy@gentoo.org> tachyon-0.98.7.ebuild:
+ Now tachyon compiles with gentoo cflags
+
*tachyon-0.98.7 (30 Jan 2010)
30 Jan 2010; Alexey Shvetsov <alexxy@gentoo.org> +tachyon-0.98.7.ebuild:
diff --git a/media-gfx/tachyon/Manifest b/media-gfx/tachyon/Manifest
index e0bc8b22d..227afe09e 100644
--- a/media-gfx/tachyon/Manifest
+++ b/media-gfx/tachyon/Manifest
@@ -1,14 +1,4 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
DIST tachyon-0.98.7.tar.gz 3269840 RMD160 6fa50498f9f872b853edf67823ce68a64f3d3580 SHA1 b5881d914128c93feab393d53a87237beb41a9ce SHA256 f22b86ed8c85bb12abc20c703f01238bce676c097dae66c81a6bbb7c08a60341
-EBUILD tachyon-0.98.7.ebuild 3009 RMD160 975d674f451a799dc2ce78c5a5455e6e3488f0b7 SHA1 b5800f380d9b072062ed87f4f1236e51ae52e2e7 SHA256 f1ffefb986d555a4bdeaf02da5036664328c2d1ac45e333a290f319444fe7214
-MISC ChangeLog 272 RMD160 2fdfcbae8d2df79ec80e6313b746227a49fc8adb SHA1 949d9ee6942b8ccd42e2d00dd15affce03f658c8 SHA256 23bd26e010abb20f78637a35b5d7f6761dcac1153c9dffc60f25f78aa9fe9bdd
+EBUILD tachyon-0.98.7.ebuild 2729 RMD160 fe981dfb9ebb28b7a4619f09b64c33ec5e2770cb SHA1 531aabd3748514024fba5f83f759d6dba8f5f7ed SHA256 e675578fc8ed8746c845bd80e5cc417aa0fabf3218f1266316619759ca6ddb80
+MISC ChangeLog 389 RMD160 cb5a17c7f73f7c688106e3005152cc7f42756521 SHA1 2b985a378015b04b8dcdf3eb9ccf0d6df1fd4167 SHA256 8294d10d70d5e92162248dafdbdf0c424c9947a21ed17c91b509530b674f1289
MISC metadata.xml 218 RMD160 c5d041e330d9d9ff361d7951db2ed25a04792dcb SHA1 cb86590d33bc69bd1f5bc4d13ef678cbfeacf286 SHA256 76a4637908a65fd7f6ffafb723f578a4a5e7e040b5f0229a368853284e562a78
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.14 (GNU/Linux)
-
-iEYEARECAAYFAktkhH8ACgkQ5BmOA85PVLhhugCfYqvS6rmeJ057kO5O3KbQTuZf
-oSIAn2ZCh1v8K18cjuxWg/MxUZXPf9nO
-=LygL
------END PGP SIGNATURE-----
diff --git a/media-gfx/tachyon/tachyon-0.98.7.ebuild b/media-gfx/tachyon/tachyon-0.98.7.ebuild
index 75c1f7b4a..6760f457a 100644
--- a/media-gfx/tachyon/tachyon-0.98.7.ebuild
+++ b/media-gfx/tachyon/tachyon-0.98.7.ebuild
@@ -36,19 +36,13 @@ TACHYON_MAKE_TARGET=
pkg_setup() {
if use threads ; then
if use opengl ; then
- use x86 && TACHYON_MAKE_TARGET=linux-thr-ogl
- use amd64 && TACHYON_MAKE_TARGET=linux-64-thr-ogl
-
+ TACHYON_MAKE_TARGET=linux-thr-ogl
if use mpi ; then
eerror "tachyon does not support MPI with OpenGL and threads"
die
fi
elif use mpi ; then
- TACHYON_MAKE_TARGET=linux-lam-thr
- elif use amd64 ; then
- TACHYON_MAKE_TARGET=linux-64-thr
- elif use ia64 ; then
- TACHYON_MAKE_TARGET=linux-ia64-thr
+ TACHYON_MAKE_TARGET=linux-mpi-thr
else
TACHYON_MAKE_TARGET=linux-thr
fi
@@ -60,21 +54,7 @@ pkg_setup() {
eerror "OpenGL is only available with USE=threads!"
elif use mpi ; then
- if use amd64 ; then
- TACHYON_MAKE_TARGET=linux-lam-64
- else
- TACHYON_MAKE_TARGET=linux-lam
- fi
-
- # TODO: Support for linux-mpi, linux-mpi-64 ?
- elif use amd64 ; then
- TACHYON_MAKE_TARGET=linux-64
- elif use ppc ; then
- TACHYON_MAKE_TARGET=linux-ppc
- elif use alpha ; then
- TACHYON_MAKE_TARGET=linux-alpha
- elif use ia64 ; then
- TACHYON_MAKE_TARGET=linux-ia64
+ TACHYON_MAKE_TARGET=linux-mpi
else
TACHYON_MAKE_TARGET=linux
fi
@@ -107,7 +87,14 @@ src_prepare() {
if use mpi ; then
sed -i "s:MPIDIR=:MPIDIR=/usr:g" Make-config || die "sed failed"
+ sed -i "s:linux-lam:linux-mpi:g" Make-config || die "sed failed"
fi
+ sed -i \
+ -e "s:-m32:${CFLAGS}:g" \
+ -e "s:-m64:${CFLAGS}:g" \
+ -e "s:-O3::g;s:-g::g;s:-pg::g" \
+ -e "s:-ffast-math::g" \
+ -e "s:-fomit-frame-pointer::g" Make-arch || die "sed failed"
}
src_compile() {